<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [CannotConnectError](./git-documentdb.cannotconnecterror.md)

## CannotConnectError class

<b>Signature:</b>

```typescript
export declare class CannotConnectError extends BaseError 
```
<b>Extends:</b> BaseError

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(retry, url, mes)](./git-documentdb.cannotconnecterror._constructor_.md) |  | Constructs a new instance of the <code>CannotConnectError</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [retry](./git-documentdb.cannotconnecterror.retry.md) |  | number |  |

